Name:           kmetronome
Version:        1.0.0
Release:        1%{?dist}
License:        GPLv2+
Summary:        A MIDI metronome using the Drumstick library
Group:          Applications/Multimedia
URL:            http://kmetronome.sourceforge.net
Source:         http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.bz2
BuildRequires:  cmake
BuildRequires:  gettext
BuildRequires:  qt5-qtbase-devel >= 5.1
BuildRequires:  qt5-qtsvg-devel >= 5.1
BuildRequires:  qt5-qttools-devel >= 5.1
BuildRequires:  qt5-qtx11extras-devel >= 5.1
BuildRequires:  drumstick-devel >= 1.0
BuildRequires:  desktop-file-utils

%description
KMetronome is a MIDI metronome with Qt5 interface, based on the Drumstick
library. The intended audience is musicians and music students. Like
solid, real metronomes it is a tool to keep the rhythm while playing musical
instruments. It uses MIDI for sound generation instead of digital audio,
allowing low CPU usage, and very accurate timing thanks to the ALSA sequencer.

%prep
%setup -q

%build
mkdir -p %{_target_platform}
pushd %{_target_platform}
%{cmake} ..
popd
make %{?_smp_mflags} -C %{_target_platform}

%install
make install/fast DESTDIR=$RPM_BUILD_ROOT -C %{_target_platform}
# check the .desktop file
desktop-file-validate $RPM_BUILD_ROOT%{_datadir}/applications/%{name}.desktop

%post
touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :

%postun
if [ $1 -eq 0 ] ; then
    touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :
    gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi

%posttrans
gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :

%files
%doc README ChangeLog AUTHORS TODO COPYING NEWS
%{_bindir}/%{name}
%{_datadir}/icons/hicolor/*/apps/%{name}.*
%{_datadir}/applications/%{name}.desktop
%{_datadir}/dbus-1/*/*
%{_datadir}/%{name}/
%{_mandir}/man1/%{name}.1.*

%changelog
* Sun Oct 19 2014 Robin Lee <cheeselee@fedoraproject.org> - 1.0.0-1
- Update to 1.0.0

* Sun Aug 17 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.10.1-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.10.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.10.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.10.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.10.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Mon Jun  4 2012 Robin Lee <cheeselee@fedoraproject.org> - 0.10.1-1
- Update to 0.10.1

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.10.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Fri Jul 29 2011 Robin Lee <cheeselee@fedoraproject.org> - 0.10.0-3
- Fix a typo
- Add scriptlets to update the icon cache

* Sun Jun 26 2011 Robin Lee <cheeselee@fedoraproject.org> - 0.10.0-2
- Add kde4-macros(api) requirement
- BR: gettext and desktop-file-utils added, alsa-lib-devel removed
- Check the desktop entry file
- Drop explicit %%doc tag from the manpage

* Thu Jun  9 2011 Robin Lee <cheeselee@fedoraproject.org> - 0.10.0-1
- Initial specfile
